/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package unikl.disco.misc;

import java.util.logging.Formatter;
import java.util.logging.LogRecord;

/**
 *
 * @author ngollan
 */
public class LogFormatter extends Formatter {
	static public final String ls = System.getProperty("line.separator");

	private String head(LogRecord record, boolean last) {
		return "[" + record.getMillis() + " (" + record.getLoggerName() + ") "
				+ record.getLevel().getName() + (last?" ":"+") + "] ";
//		return "[" + record.getMillis() + " "
//				+ record.getLevel().getName() + (last?" ":"+") + "] ";
	}

	@Override
	public String format(LogRecord record) {
		String[] parts = record.getMessage().split(ls);
		StringBuilder sb = new StringBuilder();

		int nolines = parts.length;
		for(int i=0; i<nolines; ++i) {
			sb.append(head(record, i==nolines-1) + parts[i] + ls);
		}

		return sb.toString();
	}
}
